# RPM specfile for the CrontabHistory package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)CrontabHistory.spec	1.8.1.1 11/20/19 18:10:58
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name CrontabHistory
%define version 1.8
%define release 1.1

Summary: Back up personal crontab files into $HOME.
Name: %{name}
Version: %{version}
Release: %{release}
# Should use SCCS for below:
Source: http://www.phcomp.co.uk/Downloads/CrontabHistory-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch


License: GPL
# Copyright: GPL --- this is old/unsupported syntax

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
%if 0%{?rhel} >= 7
Requires: ksh coreutils cronie
%else
Requires: ksh coreutils vixie-cron
%endif
%else
Requires: pdksh coreutils vixie-cron
%endif
BuildRequires: make

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
Script to backup personal crontab files into your home directory.

%prep
%setup -q

%build
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/CrontabHistory
%doc README License Hacks
%{_mandir}/man*/CrontabHistory.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Mon Dec 29 2008 Alain Williams <addw@phcomp.co.uk>
- First put into an RPM.
